POST api/badgemappingapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeMappingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| source_code | string |
String length: inclusive between 0 and 30 |
|
| target_code | string |
String length: inclusive between 0 and 30 |
|
| description | string |
String length: inclusive between 0 and 80 |
|
| application_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "3c56b1aa-8d8b-4437-b33b-88fc356e2c42",
"site_id": "fcaf47af-2b69-4284-8d82-f446f3f4925d",
"source_code": "sample string 3",
"target_code": "sample string 4",
"description": "sample string 5",
"application_date": "2026-06-10T01:07:36.6566311+00:00"
}
application/xml, text/xml
Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <application_date>2026-06-10T01:07:36.6566311+00:00</application_date> <description>sample string 5</description> <id>3c56b1aa-8d8b-4437-b33b-88fc356e2c42</id> <site_id>fcaf47af-2b69-4284-8d82-f446f3f4925d</site_id> <source_code>sample string 3</source_code> <target_code>sample string 4</target_code> </badgemapping>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5ea2a761-5cbc-4ca3-9301-c136caabb823"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5ea2a761-5cbc-4ca3-9301-c136caabb823</guid>